Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMSVGStyleDeclaration

    java.lang.Object
      org.apache.batik.css.dom.CSSOMStyleDeclaration
          org.apache.batik.css.dom.CSSOMSVGStyleDeclaration

All Implemented Interfaces:
  CSSStyleDeclaration

Direct Known Subclasses:
  CSSOMStoredStyleDeclaration

    public class CSSOMSVGStyleDeclaration

extends CSSOMStyleDeclaration

This class represents a SVG style declaration.

Nested Class Summary
`class` | `CSSOMSVGStyleDeclaration.StyleDeclarationColorValue` This class represents a CSS value returned by this declaration.
`class` | `CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue` This class represents a CSS value returned by this declaration.

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`CSSOMStyleDeclaration.ModificationHandler, CSSOMStyleDeclaration.StyleDeclarationValue, CSSOMStyleDeclaration.ValueProvider`

Field Summary
`protected CSSEngine` | `cssEngine` The CSS engine.

Fields inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`handler, parentRule, valueProvider, values`

Constructor Summary
`CSSOMSVGStyleDeclaration(CSSOMStyleDeclaration.ValueProvider vp, CSSRule parent, CSSEngine eng)` Creates a new CSSOMSVGStyleDeclaration.

Method Summary
`protected CSSValue` | `createCSSValue(String name)` Creates the CSS value associated with the given property.

Methods inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`getCssText, getCSSValue, getLength, getParentRule, getPropertyCSSValue, getPropertyPriority, getPropertyValue, item, removeProperty, setCssText, setModificationHandler, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cssEngine

    protected CSSEngine cssEngine

  The CSS engine.

Constructor Detail

### CSSOMSVGStyleDeclaration

    public CSSOMSVGStyleDeclaration(CSSOMStyleDeclaration.ValueProvider vp,
                                    CSSRule parent,
                                    CSSEngine eng)

  Creates a new CSSOMSVGStyleDeclaration.

Method Detail

### createCSSValue

    protected CSSValue createCSSValue(String name)

  Creates the CSS value associated with the given property.

  Overrides:
    `createCSSValue` in class `CSSOMStyleDeclaration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.